#2488 please, allow me to update rpkg-macros to 1.0 and preproc-rpmspec to 1.1 in epel and fedora releases
Closed: Accepted 6 months ago by decathorpe. Opened 6 months ago by clime.

Hello,

I would like to update rpkg-macros-0.4 to rpkg-macros-1.0 and preproc-rpmspec-0.3 to preproc-rpmspec-1.1 in el6, epel7, epel8, f31, f32, f33.

I checked with repoquery that no other package requires those packages in the releases above.

And because they are relatively new (7 months) and very specific for packagers, I think, no user currently uses them.

These packages improve on previous versions but in backward-incompatible manner. Because they are part of something relatively new (https://github.com/rpm-software-management/mock/pull/526), it would be great to have it fixed.

Let me know for more info.


Hello! What is the minimum number of +1 I need to get for pass?

See https://docs.fedoraproject.org/en-US/fesco/#_ticket_policy :

Once a ticket has a formal proposal offered, FESCo members have one week to either vote for or against it or else propose the ticket for the next weekly meeting agenda. At the end of that one week, if the proposal has gained at least three "for" votes and no "against" votes, it is approved.

So your ticket will be approved after 7 days with (+3, 0, -0) votes later today, unless there's a last-minute -1 vote.

APPROVED (+3, 0, 0)

Do I need to announce this on the devel list?

It should be announced in the weekly fesco meeting agenda mail. But it is approved now.

Metadata Update from @zbyszek:
- Issue tagged with: pending announcement

6 months ago

Metadata Update from @decathorpe:
- Issue close_status updated to: Accepted
- Issue status updated to: Closed (was: Open)

6 months ago

Login to comment on this ticket.

Metadata